Name:           maven-patch-plugin
Version:        1.1.1
Release:        8%{?dist}
Summary:        Maven Patch Plugin

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-patch-plugin/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-deploy-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-docck-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-gpg-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-install-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins)

%description
The Patch Plugin is used to apply patches to source files.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%build
%mvn_build --post "install invoker:run" -- -Dmaven.repo.local=$PWD/.m2

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Sep 11 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-8
- Use mvn-build instead of mvn-rpmbuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Nov 25 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-4
- Add NOTICE file to javadoc package

* Sun Nov 25 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-3
- Enable tests on Fedora 19 again - broken dependancies fixed

* Fri Nov 23 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-2
- Disable tests on Fedora 19 due to broken dependencies

* Thu Nov  1 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-1
- Initial Package
